.. -*- rst -*-
.. vim: ft=rst

.. This rst format file contains commonly used link targets
   and name substitutions.  It may be included in many files,
   therefore it should only contain link targets and name
   substitutions.  Try grepping for "^\.\. _" to find plausible
   candidates for this list.  


.. NOTE: reST targets are
   __not_case_sensitive__, so only one target definition is needed for
   nipy, NIPY, Nipy, etc...

.. Transforms3d code stuff
.. _transforms3d github: http://github.com/matthew-brett/transforms3d
.. _transforms3d pypi: http://pypi.python.org/pypi/transforms3d
.. _transforms3d issues: http://github.com/matthew-brett/transforms3d/issues
.. _transforms3d travis-ci: https://travis-ci.org/matthew-brett/transforms3d
.. _versioneer: https://github.com/warner/python-versioneer
.. _transformations.py:
   http://www.lfd.uci.edu/~gohlke/code/transformations.py.html
.. _Christoph Gohlke: http://www.lfd.uci.edu/~gohlke
.. _Matthew Brett: http://matthew.dynevor.org

.. Transform concepts
.. _`wikipedia affine`: http://en.wikipedia.org/wiki/Affine_transformation
.. _`wikipedia linear transform`: http://en.wikipedia.org/wiki/Linear_transformation
.. _`wikipedia rotation matrix`: http://en.wikipedia.org/wiki/Rotation_matrix
.. _`wikipedia homogenous coordinates`: http://en.wikipedia.org/wiki/Homogeneous_coordinates
.. _`wikipedia axis angle`: http://en.wikipedia.org/wiki/Axis_angle
.. _`wikipedia Euler angles`: http://en.wikipedia.org/wiki/Euler_angles
.. _`Mathworld Euler angles`: http://mathworld.wolfram.com/EulerAngles.html
.. _`wikipedia quaternion`: http://en.wikipedia.org/wiki/Quaternion
.. _`wikipedia shear matrix`: http://en.wikipedia.org/wiki/Shear_matrix
.. _`wikipedia reflection`: http://en.wikipedia.org/wiki/Reflection_(mathematics)

.. nibabel
.. _nibabel: http://nipy.org/nibabel
.. _`nibabel github`: http://github.com/nipy/nibabel
.. _`nibabel mailing list`: http://mail.scipy.org/mailman/listinfo/nipy-devel
.. _nibabel pypi: http://pypi.python.org/pypi/nibabel
.. _nibabel issues: http://github.com/nipy/nibabel/issues

.. other related projects
.. _nipy community: http://nipy.org
.. _nipy: http://nipy.org/nipy
.. _`Brain Imaging Center`: http://bic.berkeley.edu/
.. _dipy: http://nipy.org/dipy
.. _`dipy github`: http://github.com/Garyfallidis/dipy
.. _nibabel: http://nipy.org/nibabel
.. _nipy development guidelines: http://nipy.org/devel
.. _`nipy github`: http://github.com/nipy/nipy
.. _nipy buildbot: http://nipy.bic.berkeley.edu

.. Documentation tools
.. _graphviz: http://www.graphviz.org/
.. _Sphinx: http://sphinx.pocoo.org/
.. _`Sphinx reST`: http://sphinx.pocoo.org/rest.html
.. _reST: http://docutils.sourceforge.net/rst.html
.. _docutils: http://docutils.sourceforge.net
.. _IPython notebook viewer: http://nbviewer.ipython.org

.. Licenses
.. _GPL: http://www.gnu.org/licenses/gpl.html
.. _BSD: http://www.opensource.org/licenses/bsd-license.php
.. _LGPL: http://www.gnu.org/copyleft/lesser.html
.. _MIT License: http://www.opensource.org/licenses/mit-license.php

.. Installation
.. _pypi: http://pypi.python.org/pypi

.. Working process
.. _pynifti: http://niftilib.sourceforge.net/pynifti/
.. _nifticlibs: http://nifti.nimh.nih.gov
.. _nifti: http://nifti.nimh.nih.gov
.. _`nipy sourceforge`: http://nipy.sourceforge.net/
.. _sourceforge: http://nipy.sourceforge.net/
.. _`nipy launchpad`: https://launchpad.net/nipy
.. _launchpad: https://launchpad.net/
.. _`nipy trunk`: http://code.launchpad.net/~nipy-developers/nipy/trunk
.. _`nipy mailing list`: http://projects.scipy.org/mailman/listinfo/nipy-devel
.. _`nipy bugs`: https://bugs.launchpad.net/nipy
.. _sourceforge download page: http://sourceforge.net/projects/nipy/files

.. Code support stuff
.. _travis-ci: https://travis-ci.org
.. _pychecker: http://pychecker.sourceforge.net/
.. _pylint: http://www.logilab.org/project/pylint
.. _pyflakes: http://divmod.org/trac/wiki/DivmodPyflakes
.. _virtualenv: http://pypi.python.org/pypi/virtualenv
.. _github: http://github.com
.. _flymake: http://flymake.sourceforge.net/
.. _rope: http://rope.sourceforge.net/
.. _pymacs: http://pymacs.progiciels-bpi.ca/pymacs.html
.. _ropemacs: http://rope.sourceforge.net/ropemacs.html
.. _ECB: http://ecb.sourceforge.net/
.. _emacs_python_mode: http://www.emacswiki.org/cgi-bin/wiki/PythonMode
.. _doctest-mode: http://www.cis.upenn.edu/~edloper/projects/doctestmode/
.. _nose: http://somethingaboutorange.com/mrl/projects/nose
.. _`python coverage tester`: http://nedbatchelder.com/code/modules/coverage.html

.. Other python projects
.. _numpy: http://www.scipy.org/NumPy
.. _scipy: http://www.scipy.org
.. _ipython: http://ipython.scipy.org
.. _`ipython github`: http://github.com/ipython/ipython
.. _`ipython mailing list`: http://mail.scipy.org/mailman/listinfo/IPython-dev
.. _`ipython manual`: http://ipython.scipy.org/doc/manual/html
.. _matplotlib: http://matplotlib.sourceforge.net
.. _pythonxy: http://www.pythonxy.com
.. _EPD: http://www.enthought.com/products/epd.php
.. _ETS: http://code.enthought.com/projects/tool-suite.php
.. _`Enthought Tool Suite`: http://code.enthought.com/projects/tool-suite.php
.. _python: http://www.python.org
.. _mayavi: http://mayavi.sourceforge.net/
.. _sympy: http://code.google.com/p/sympy/
.. _networkx: http://networkx.lanl.gov/
.. _setuptools: http://pypi.python.org/pypi/setuptools
.. _distribute: http://packages.python.org/distribute
.. _pip: https://pip.readthedocs.org/en/latest
.. _pip install instructions:
   https://pip.readthedocs.org/en/latest/installing.html
.. _twine: https://pypi.python.org/pypi/twine
.. _datapkg: http://okfn.org/projects/datapkg
.. _python imaging library: http://www.pythonware.com

.. Python imaging projects
.. _PyMVPA: http://www.pymvpa.org
.. _BrainVISA: http://brainvisa.info
.. _anatomist: http://brainvisa.info
.. _pydicom: http://code.google.com/p/pydicom/

.. Not so python imaging projects
.. _matlab: http://www.mathworks.com
.. _spm: http://www.fil.ion.ucl.ac.uk/spm
.. _spm8: http://www.fil.ion.ucl.ac.uk/spm/software/spm8
.. _eeglab: http://sccn.ucsd.edu/eeglab
.. _AFNI: http://afni.nimh.nih.gov/afni
.. _FSL: http://www.fmrib.ox.ac.uk/fsl
.. _FreeSurfer: http://surfer.nmr.mgh.harvard.edu
.. _voxbo: http://www.voxbo.org
.. _mricron: http://www.cabiatl.com/mricro/mricron
.. _slicer: http://www.slicer.org/

.. File formats
.. _DICOM: http://medical.nema.org/
.. _`wikipedia DICOM`: http://en.wikipedia.org/wiki/Digital_Imaging_and_Communications_in_Medicine
.. _GDCM: http://sourceforge.net/apps/mediawiki/gdcm
.. _DICOM standard : http://medical.nema.org/standard.html
.. _PS 3.1: http://medical.nema.org/Dicom/2011/11_01pu.pdf
.. _PS 3.2: http://medical.nema.org/Dicom/2011/11_02pu.pdf
.. _PS 3.3: http://medical.nema.org/Dicom/2011/11_03pu.pdf
.. _PS 3.4: http://medical.nema.org/Dicom/2011/11_04pu.pdf
.. _PS 3.5: http://medical.nema.org/Dicom/2011/11_05pu.pdf
.. _PS 3.6: http://medical.nema.org/Dicom/2011/11_06pu.pdf
.. _PS 3.7: http://medical.nema.org/Dicom/2011/11_07pu.pdf
.. _PS 3.8: http://medical.nema.org/Dicom/2011/11_08pu.pdf
.. _PS 3.10: http://medical.nema.org/Dicom/2011/11_10pu.pdf
.. _PS 3.11: http://medical.nema.org/Dicom/2011/11_11pu.pdf
.. _PS 3.12: http://medical.nema.org/Dicom/2011/11_12pu.pdf
.. _PS 3.14: http://medical.nema.org/Dicom/2011/11_14pu.pdf
.. _PS 3.15: http://medical.nema.org/Dicom/2011/11_15pu.pdf
.. _PS 3.16: http://medical.nema.org/Dicom/2011/11_16pu.pdf
.. _PS 3.17: http://medical.nema.org/Dicom/2011/11_17pu.pdf
.. _PS 3.18: http://medical.nema.org/Dicom/2011/11_18pu.pdf
.. _PS 3.19: http://medical.nema.org/Dicom/2011/11_19pu.pdf
.. _PS 3.20: http://medical.nema.org/Dicom/2011/11_20pu.pdf
.. _`DICOM specs`: ftp://medical.nema.org/medical/dicom/2011/
.. _DICOM data structures: http://medical.nema.org/dicom/2011/11_05pu.pdf
.. _DICOM data dictionary: http://medical.nema.org/dicom/2011/11_05pu.pdf
.. _`DICOM object definitions`: ftp://medical.nema.org/medical/dicom/2011/11_03pu3.pdf

.. _dcm2nii: http://www.cabiatl.com/mricro/mricron/dcm2nii.html
.. _`mricron install`: http://www.cabiatl.com/mricro/mricron/install.html
.. _dicom2nrrd: http://www.slicer.org/slicerWiki/index.php/Modules:DicomToNRRD-3.4
.. _Nrrd: http://teem.sourceforge.net/nrrd/format.html

.. General software
.. _gcc: http://gcc.gnu.org
.. _xcode: http://developer.apple.com/TOOLS/xcode
.. _mingw: http://www.mingw.org
.. _cygwin: http://cygwin.com
.. _macports: http://www.macports.org/
.. _VTK: http://www.vtk.org/
.. _ITK: http://www.itk.org/
.. _swig: http://www.swig.org

.. version control
.. _git: http://git-scm.com
.. _mercurial: http://mercurial.selenic.com
.. _bzr: http://bazaar.canonical.com
.. _subversion: http://subversion.apache.org

.. Functional imaging labs
.. _`functional imaging laboratory`: http://www.fil.ion.ucl.ac.uk
.. _FMRIB: http://www.fmrib.ox.ac.uk

.. Other organizations
.. _enthought: <http://www.enthought.com>
.. _kitware: http://www.kitware.com
.. _NeuroDebian: http://neuro.debian.net
.. _nibabel NeuroDebian: http://neuro.debian.net/pkgs/python-nibabel.html
.. _nitrc: http://www.nitrc.org

.. General information links
.. _`wikipedia FMRI`: http://en.wikipedia.org/wiki/Functional_magnetic_resonance_imaging
.. _`wikipedia PET`: http://en.wikipedia.org/wiki/Positron_emission_tomography
.. _ANALYZE: http://www.grahamwideman.com/gw/brain/analyze/formatdoc.htm
.. _NIfTI1: http://nifti.nimh.nih.gov/nifti-1/
.. _NIfTI2: http://nifti.nimh.nih.gov/nifti-2/
.. _MINC: http://wiki.bic.mni.mcgill.ca/index.php/MINC
.. _GIFTI: http://www.nitrc.org/projects/gifti
.. _MINC1:
    https://en.wikibooks.org/wiki/MINC/Reference/MINC1_File_Format_Reference
.. _MINC2:
    https://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_File_Format_Reference

.. Mathematical methods
.. _`wikipedia ICA`: http://en.wikipedia.org/wiki/Independent_component_analysis
.. _`wikipedia PCA`: http://en.wikipedia.org/wiki/Principal_component_analysis

.. Mathematical ideas
.. _`wikipedia spherical coordinate system`: http://en.wikipedia.org/wiki/Spherical_coordinate_system
.. _`mathworld spherical coordinate system`: http://mathworld.wolfram.com/SphericalCoordinates.html
.. _`wikipedia affine`: http://en.wikipedia.org/wiki/Affine_transformation
.. _`wikipedia affine transform`: http://en.wikipedia.org/wiki/Affine_transformation
.. _`wikipedia linear transform`: http://en.wikipedia.org/wiki/Linear_transformation
.. _`wikipedia rotation matrix`: http://en.wikipedia.org/wiki/Rotation_matrix
.. _`wikipedia homogenous coordinates`: http://en.wikipedia.org/wiki/Homogeneous_coordinates
.. _`wikipedia axis angle`: http://en.wikipedia.org/wiki/Axis_angle
.. _`wikipedia Euler angles`: http://en.wikipedia.org/wiki/Euler_angles
.. _`Mathworld Euler angles`: http://mathworld.wolfram.com/EulerAngles.html
.. _`wikipedia quaternion`: http://en.wikipedia.org/wiki/Quaternion
.. _`wikipedia shear matrix`: http://en.wikipedia.org/wiki/Shear_matrix
.. _`wikipedia reflection`: http://en.wikipedia.org/wiki/Reflection_(mathematics)
.. _`wikipedia direction cosine`: http://en.wikipedia.org/wiki/Direction_cosine

.. philosophy
.. _0SAGA: http://nipyworld.blogspot.com/2010/11/0saga-software-model.html

.. People
.. _Matthew Brett: http://matthew.dynevor.org
.. _Yaroslav O. Halchenko: http://www.onerussian.com
.. _Michael Hanke: http://mih.voxindeserto.de
.. _Gaël Varoquaux: http://gael-varoquaux.info/
.. _Stephan Gerhard: http://www.unidesign.ch

.. Substitutions
.. |emdash| unicode:: U+02014
.. |--| unicode:: U+02014
